<header class="header">
    <h3 class="o-form__section-headline">Ihre Teilnehmerdaten</h3>
</header>
<f:if condition="{renderMandatory}">
    <f:render arguments="{isCompany: 0}" partial="CourseregistrationFormLs/MandatoryHint"/>
</f:if>
<div class="o-form__item-group">
    <div class="o-form__item t-medium-12 columns">
        <label class="o-form__label o-form__label--select" for="p_anrede">Anrede</label>
        <f:form.select class="o-form__field o-form__field--select" id="p_anrede" name="anrede" tabindex="1"
                       options="{options_array.prefix}"/>
    </div>
    <div class="o-form__item t-medium-12 columns is-last-in-row">
        <label class="o-form__label o-form__label--select" for="p_titel">Titel</label>
        <f:form.select class="o-form__field o-form__field--select" id="p_titel" name="titel" tabindex="2"
                       options="{options_array.title}"/>
    </div>
    <div class="o-form__item t-medium-12 columns">
        <f:form.textfield class="o-form__field o-form__field--text" id="p_vorname" name="vorname"
                          required="required" value="" tabindex="3"/>
        <label class="o-form__label" for="p_vorname">Vorname<span class="must">*</span></label>
    </div>
    <div class="o-form__item t-medium-12 columns is-last-in-row">
        <f:form.textfield class="o-form__field o-form__field--text" id="p_name" name="name" required="required"
                          value="" tabindex="4"/>
        <label class="o-form__label" for="p_name">Nachname<span class="must">*</span></label>
        <f:form.textfield name="birthname" value="" id="p_birthname" class="o-form__field o-form__field--text o-form__p_birthname" tabindex="-1" additionalAttributes="{autocomplete: 'off', aria-hidden: 'true'}"/>
        <label for="p_birthname" class="o-form__label">Geburtsname</label>
    </div>
    <div class="o-form__item t-medium-24 columns is-last-in-row">
        <f:form.textfield class="o-form__field o-form__field--text" id="p_strasse" name="strasse"
                          required="required" value="" tabindex="5"/>
        <label class="o-form__label" for="p_strasse">Straße / Nr.<span class="must">*</span></label>
    </div>
    <div class="o-form__item t-medium-4 columns">
        <f:form.textfield class="o-form__field o-form__field--text" id="p_plz" name="plz" required="required"
                          value="" tabindex="6" pattern="[0-9]+" data="{parsley-error-message: 'Bitte eine korrekte PLZ eingeben!'}" additionalAttributes="{minlength: '5'}" maxlength="5"/>
        <label class="o-form__label" for="p_plz">PLZ<span class="must">*</span></label>
    </div>
    <div class="o-form__item t-medium-20 columns is-last-in-row">
        <f:form.textfield class="o-form__field o-form__field--text" id="p_ort" name="ort" required="required"
                          value="" tabindex="7"/>
        <label class="o-form__label" for="p_ort">Stadt<span class="must">*</span></label>
    </div>
    <f:if condition="{settings.showPrivatBirthdayField}">
        <div class="o-form__item t-medium-24 columns is-last-in-row">
            <f:form.textfield class="date o-form__field o-form__field--text" id="p_geburtsdatum"
                              name="geburtsdatum" required="required" tabindex="8" type="date"
                              value="" data="{parsley-error-message: 'Bitte korrektes Geburtsdatum eingeben.'}"/>
            <label class="o-form__label" for="p_geburtsdatum">Geburtsdatum<span class="must">*</span></label>
        </div>
    </f:if>
    <f:if condition="{settings.showBirthplaceField}">
        <div class="o-form__item t-medium-24 columns is-last-in-row">
            <f:form.textfield class="o-form__field o-form__field--text" id="p_birthplace"
                              name="birthplace" tabindex="9"/>
            <label class="o-form__label" for="p_birthplace">Geburtsort</label>
        </div>
    </f:if>
    <div class="o-form__item t-medium-24 columns is-last-in-row">
        <f:form.textfield class="o-form__field o-form__field--text" id="p_email" name="email"
                          value="" tabindex="10" type="email"/>
        <label class="o-form__label" for="p_email">Mail<span class="must">*</span></label>
    </div>
    <f:if condition="{settings.showPhoneField}">
        <f:if condition="{settings.Required.telefon}">
            <f:then>
                <div class="o-form__item t-medium-24 columns is-last-in-row">
                    <f:form.textfield class="o-form__field o-form__field--text" id="p_telefon" name="telefon"
                                      required="required" type="tel" pattern="[0-9]+" data="{parsley-error-message: 'Bitte nur Zahlen eingeben.'}"
                                      value="" tabindex="11"/>
                    <label class="o-form__label" for="p_telefon">Telefon<span class="must">*</span></label>
                </div>
            </f:then>
            <f:else>
                <div class="o-form__item t-medium-24 columns is-last-in-row">
                    <f:form.textfield class="o-form__field o-form__field--text" id="p_telefon" name="telefon"
                                      value="" tabindex="11" type="tel" pattern="[0-9]+" data="{parsley-error-message: 'Bitte nur Zahlen eingeben.'}"/>
                    <label class="o-form__label" for="p_telefon">Telefon</label>
                </div>
            </f:else>
        </f:if>
    </f:if>
    <f:if condition="{settings.showMobileField}">
        <f:if condition="{settings.Required.mobile}">
            <f:then>
                <div class="o-form__item t-medium-24 columns is-last-in-row">
                    <f:form.textfield class="o-form__field o-form__field--text" id="p_mobile" name="mobile"
                                      required="required" type="tel"
                                      value="" tabindex="12" pattern="[0-9]+" data="{parsley-error-message: 'Bitte nur Zahlen eingeben.'}"/>
                    <label class="o-form__label" for="p_mobile">Mobil<span class="must">*</span></label>
                </div>
            </f:then>
            <f:else>
                <div class="o-form__item t-medium-24 columns is-last-in-row">
                    <f:form.textfield class="o-form__field o-form__field--text" id="p_mobile" name="mobile"
                                      value="" tabindex="12" type="tel" pattern="[0-9]+" data="{parsley-error-message: 'Bitte nur Zahlen eingeben.'}"/>
                    <label class="o-form__label" for="p_mobile">Mobil</label>
                </div>
            </f:else>
        </f:if>
    </f:if>
    <f:if condition="{settings.showNoteField}">
        <div class="o-form__item t-medium-24 columns is-last-in-row">
            <f:form.textarea class="o-form__field o-form__field--textarea" cols="20" id="p_note" name="note" placeholder="Anmerkung"
                             rows="4" tabindex="13"/>
        </div>
    </f:if>
    <f:if condition="{settings.showHonoraryField}">
        <header class="header">
            <h4 class="o-form__section-headline">Sie sind:</h4>
        </header>
        <div class="o-form__item t-medium-24 columns is-last-in-row">
            <f:form.select class="o-form__field o-form__field--select" id="p_honorary" name="honorary"
                           options="{options_array.honorary}" tabindex="14"/>
        </div>
    </f:if>
    <f:if condition="{settings.showMemberField}">
        <div class="o-form__item t-medium-24 columns is-last-in-row">
            <f:form.select class="o-form__field o-form__field--select" id="member" name="member"
                           options="{options_array.member}" tabindex="15"/>
        </div>
    </f:if>
    <f:if condition="{settings.showOvernightStayField}">
        <header class="header">
            <h4 class="o-form__section-headline">Übernachtungswunsch</h4>
        </header>
        <div class="o-form__item t-medium-24 columns is-last-in-row">
            <f:if condition="{free_overnight_stay} > 0">
                <f:then>
                    <f:form.select class="o-form__field o-form__field--select" id="p_overnightstay" name="overnightstay"
                                   options="{options_array.overnightstay}" tabindex="16"/>
                </f:then>
                <f:else>keine Übernachtung möglich</f:else>
            </f:if>
        </div>
    </f:if>
    <f:if condition="{settings.showMealsField}">
        <header class="header">
            <h4 class="o-form__section-headline">Verpflegung</h4>
        </header>
        <div class="o-form__item t-medium-24 columns is-last-in-row">
            <f:form.select class="o-form__field o-form__field--select" id="p_meals" name="meals"
                           options="{options_array.meals}" tabindex="17"/>
        </div>
    </f:if>
    <f:if condition="{settings.showOrderCodeField}">
        <div class="o-form__item t-medium-24 columns is-last-in-row">
            <f:form.textfield class="o-form__field o-form__field--text" id="p_ordercode"
                              name="ordercode" tabindex="18"/>
            <label class="o-form__label" for="p_ordercode">Bestellnummer</label>
        </div>
    </f:if>
    <f:if condition="{settings.showFunctionField}">
        <div class="o-form__item t-medium-24 columns is-last-in-row">
            <f:form.textfield class="o-form__field o-form__field--text" id="p_function"
                              name="function" tabindex="19"/>
            <label class="o-form__label" for="p_function">Funktion in Organisation / im Verband</label>
        </div>
    </f:if>
    <f:if condition="{settings.showQualificationField}">
        <header class="header">
            <h4 class="o-form__section-headline">VA-Voraussetzung</h4>
        </header>
        <div class="o-form__item t-medium-24 columns is-last-in-row">
            <f:form.select class="o-form__field o-form__field--select" id="p_qualifcation"
                           name="qualifcation" options="{options_array.qualifcation}" tabindex="20"/>
        </div>
    </f:if>
    <f:if condition="{settings.showOrgFields}">
        <header class="header">
            <h4 class="o-form__section-headline">Zugehörigkeit Organisation (z.B. DRK-KV Musterstadt)</h4>
        </header>
        <div class="o-form__item t-medium-24 columns">
            <f:form.textfield class="o-form__field o-form__field--text" id="org_name" name="org_name"
                              required="required" value="" tabindex="21"/>
            <label class="o-form__label" for="org_name">Name<span class="must">*</span></label>
        </div>
        <div class="o-form__item t-medium-24 columns is-last-in-row">
            <f:form.textfield class="o-form__field o-form__field--text" id="org_street" name="org_street"
                              required="required" value="" tabindex="22"/>
            <label class="o-form__label" for="org_street">Straße / Nr.<span class="must">*</span></label>
        </div>
        <div class="o-form__item t-medium-4 columns">
            <f:form.textfield class="o-form__field o-form__field--text" id="org_zip" name="org_zip" required="required"
                              value="" tabindex="23" pattern="[0-9]+" data="{parsley-error-message: 'Bitte eine korrekte PLZ eingeben!'}" additionalAttributes="{minlength: '5'}" maxlength="5"/>
            <label class="o-form__label" for="org_zip">PLZ<span class="must">*</span></label>
        </div>
        <div class="o-form__item t-medium-20 columns is-last-in-row">
            <f:form.textfield class="o-form__field o-form__field--text" id="org_city" name="org_city" required="required"
                              value="" tabindex="24"/>
            <label class="o-form__label" for="org_city">Stadt<span class="must">*</span></label>
        </div>
    </f:if>
</div>
